package com.heyu.api.data.service.impl.reverse;

import com.heyu.api.data.entity.vv.VvReverseOrderEntity;
import com.heyu.api.data.enums.ActionEnums;
import com.heyu.api.data.enums.ReverseStatusEnums;
import com.heyu.api.data.service.impl.AbstractReverseAction;

public class SellerAgreeSignReceiptAction extends AbstractReverseAction {
    @Override
    public ActionEnums getAction(VvReverseOrderEntity vvReverseOrderEntity, boolean isApp, boolean isAdmin) {
        if (
                ReverseStatusEnums.shipped.getStatus().equals(vvReverseOrderEntity.getStatus())
        ) {
            if (isAdmin) {
                return ActionEnums.Admin_Seller_Agree_Sign_Receipt;
            }
        }
        return null;

    }
}
